@Echo off
CLS
Echo -----------------------------------------------------------------
Echo batch-file:  RenderSkybox6sides.bat                   20.Jan.2010
Echo description: Renders 6 skybox images with PovRay 3.5, 3.6, 3.7
Rem  parameters:  1=filename 2=resolution (should be 2^n)
Rem  used command line parameters / Kommandozeilenparameter:
Rem   -I  use scenery file <filename>.pov           // Szenendateiname
Rem   -O  name of the outputfile              // Name der Ausgabedatei
Rem   -H%res% , -W%res%  image height + width   // Bildhhe u. -breite
Rem   +FN  means "F": output to file, "N": PNG format
Rem   +A0.5  turns anti-aliasing on with threshold 0.5
Rem   -D32  set color depth to 32 bit
Rem   -K  set the "clock" used to define the camera direction
Rem       values ranging from 0-5 to render all sides:
Rem  Orientation: This is how each texture are generated by Pov-Ray
Rem         0 = "_front"   +z
Rem         1 = "_right"   +x
Rem         2 = "_back"    -z
Rem         3 = "_left"    -x
Rem         4 = "_top"     +y
Rem         5 = "_base"    -y
Echo -----------------------------------------------------------------
Rem --> Bitte setzen Sie hier den PovRay-Installationpfad...
Rem --> please set PovRay installation path here...
rem Set povray="C:\Users\YourName\AppData\Roaming\POV-Ray\v3.7\bin\pvengine64.exe"
rem Set povray="C:\Users\YourName\AppData\Roaming\POV-Ray\v3.6\bin\pvengine.exe"
rem set povray="C:\Programme\POV_Ray\bin\pvengine-sse2.exe"
set povray="C:\Programme\POV_Ray\bin\pvengine.exe"

Set filename=%1
Echo PovRay appl.: %povray%
Echo.
Echo current path:  %CD%
Echo.
Echo   input file:  %1.pov
Echo.
Echo   resolution:  %2 pixels for height and width
Echo -------------------------------------------------------------------
Echo !!! Attention: You must quit all running PovRay-Applications
Echo                before you continue this batch !!!
Echo -------------------------------------------------------------------
Echo !! Achtung: Sie mssen alle laufenden PovRay-Applikationen beenden
Echo              bevor Sie den Batch fortsetzen !!!
Echo -------------------------------------------------------------------
Pause
@Time /t
Echo on
%povray% -I%filename% -H%res% -W%res% +A0.5 -D32 -K0 -O%filename%_front /EXIT
@Time /t
%povray% -I%filename% -H%res% -W%res% +A0.5 -D32 -K1 -O%filename%_right /EXIT
%povray% -I%filename% -H%res% -W%res% +A0.5 -D32 -K2 -O%filename%_back  /EXIT
%povray% -I%filename% -H%res% -W%res% +A0.5 -D32 -K3 -O%filename%_left  /EXIT
%povray% -I%filename% -H%res% -W%res% +A0.5 -D32 -K5 -O%filename%_base  /EXIT
%povray% -I%filename% -H%res% -W%res% +A0.5 -D32 -K4 -O%filename%_top   /EXIT
@Time /t
